c subroutine FNSCAN - scan file-name record (999999999x<filespec>=)
c and strip space, mark 0 at end of name

	subroutine fnscan(work, maxlen, iwkln, ijr)

	byte work(maxlen)

	byte ll

	ij = 0					! Initialize output index
	do ii=1, min0(iwkln, maxlen)		! Start loop
	    ll = work(ii)			! Get input character
	    if (ll .gt. ' ') then		! Strip all spaces & ctls
		if (ll .eq. '=') go to 10	! '=' marks end
		ij = ij + 1			! Character accepted
		work(ij) = ll			! Copy it
	    end if				! (graphic character)
	end do					! Loop

 10	work(min0(ij+1,maxlen)) = 0		! Set marker for OPEN

	ijr = ij				! Return length of string

	end
